;;; package --- Imperative and Object-Oriented Programming Methodology
;; Uppsala University - 2018 Autumn, Copyright © 2018 Henrik Alfken(Schulze)
;; This is NOT the official Emacs init file for the course IOOPM.
;;; Commentary:
;; ! Do you get "Error (use-package)"? Try <META-x> package-refresh-contents! Then restart eamcs.
;; Inspired by: http://jamiecollinson.com/blog/my-emacs-config/
;; http://homepages.inf.ed.ac.uk/s0243221/emacs/
;; - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
(setq w32-pipe-read-delay 0)
; ^^ http://www.reddit.com/r/emacs/comments/2iyoj6/emacs_windows_version_slow_when_transferring/
;; http://emacs.stackexchange.com/questions/1/are-there-any-advantages-to-using-emacs-d-init-el-instead-of-emacs#6 ;
;;; Code:
(setq package--init-file-ensured t)
;; http://www.reddit.com/r/emacs/comments/56fvgd/is_there_a_way_to_stop_emacs_from_adding_the/
(load-file "~/.emacs.d/init-use-package.el")
;; ^^ http://cachestocaches.com/2015/8/getting-started-use-package/
;; - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
(setq default-frame-alist '((left . -0) (width . 87) (fullscreen . fullheight)
 (font . "Menlo-9") (vertical-scroll-bars . nil)))
(add-to-list 'default-frame-alist '(background-color . "#0f0f0f"))
;http://emacs.stackexchange.com/questions/31058/how-to-make-size-of-emacs-frame-persistent#31069
;http://www.reddit.com/r/emacs/comments/9c0a4d/tip_setting_initial_frame_size_and_position/#t1_e573owh
;; ^^ http://www.gnu.org/software/emacs/manual/html_node/emacs/Fonts.html#index-fontconfig-1667
;; ^^ http://emacs.stackexchange.com/questions/23773/disable-scrollbar-on-new-frame/23774#23774
;; ^^ http://stackoverflow.com/questions/11418648/how-to-set-default-emacs-background-and-foreground-colors#11419691
;; ^^ http://emacs.stackexchange.com/questions/7481/how-to-evaluate-the-variables-before-adding-them-to-a-list#7487
(use-package cyberpunk-theme :ensure t :defer t :init (load-theme 'cyberpunk t))
 (setq initial-frame-alist '((background-color . "#0f0f0f")))
;; IF theme in "~/share/emacs/2x.x/etc/themes" - replace ":ensure t" by ":ensure nil"! /Alfken
;; ^^ http://emacs.stackexchange.com/questions/10396/difference-between-init-and-config-in-use-package#10403
